<?php

namespace App\Entities\relatorio;

use App\Utils\Builder;

class RelatorioComandaItensExectadosNaoExecutadoBuilder implements Builder {
	protected $id;
	protected $descricao;
	protected $executados;
	protected $naoExecutados;
	protected $total;
	protected $convenio;

	public function build(): RelatorioComandaItensExectadosNaoExecutado {

		$obj = new RelatorioComandaItensExectadosNaoExecutado();
		
		$obj->setId($this->id);
		$obj->setDescricao($this->descricao);
		$obj->setExecutados($this->executados);
		$obj->setNaoExecutados($this->naoExecutados);
		$obj->setTotal($this->total);
		$obj->setConvenio($this->convenio);

		return $obj;

	}

    /**
     * @param mixed $convenio
     * @return RelatorioComandaItensExectadosNaoExecutadoBuilder
     */
    public function setConvenio($convenio)
    {
        $this->convenio = $convenio;
        return $this;
    }

	/**
	 *
	 * @param mixed $id
	 */
	public function setId($id): RelatorioComandaItensExectadosNaoExecutadoBuilder {

		$this->id = $id;
		return $this;

	}

	/**
	 *
	 * @param mixed $descricao
	 */
	public function setDescricao($descricao): RelatorioComandaItensExectadosNaoExecutadoBuilder {

		$this->descricao = $descricao;
		return $this;

	}

	/**
	 *
	 * @param mixed $executados
	 */
	public function setExecutados($executados): RelatorioComandaItensExectadosNaoExecutadoBuilder {

		$this->executados = $executados;
		return $this;

	}

	/**
	 *
	 * @param mixed $naoExecutados
	 */
	public function setNaoExecutados($naoExecutados): RelatorioComandaItensExectadosNaoExecutadoBuilder {

		$this->naoExecutados = $naoExecutados;
		return $this;

	}

	/**
	 *
	 * @param mixed $total
	 */
	public function setTotal($total): RelatorioComandaItensExectadosNaoExecutadoBuilder {

		$this->total = $total;
		return $this;

	}

}

